Subject: Re: ncurses/termcap, just won't clear the screen?
From: [email-masked] (Michael Condict)

23 May 1997 19:09:06 -0700
Sender: [email-masked]
Approved: [email-masked]
Distribution: cygnus
Message-ID: <[email-masked]>
X-Authentication-Warning: postman.opengroup.org: Host hare.osf.org [130.105.7.99] didn't use HELO protocol
Original-To: Sergey Okhapkin <[email-masked]>
Original-cc: "'Geoffrey Noer'" <[email-masked]>,
        "[email-masked]" <[email-masked]>, [email-masked]
In-reply-to: Your message of "Wed, 21 May 1997 13:44:48 +0400."
             <[email-masked]> 
Original-Sender: [email-masked]

In message <[email-masked]>, you write:
> Geoffrey Noer wrote:
> 
> > With the new /etc/termcap from b18, I do an "export TERM=linux"
> > in bash, and then hit a control-l to clear.
> > 
> > Under Windows NT, the right thing happens.  Under Windows 95, however
> > I see the behavior [email-masked] reports where the
> > prompt is moved but the old text doesn't get erased.
> > 
> 
> ScrollConsoleScreenBuffer() on Windows95 fails to scroll more than half of sc
> reen... I'm trying to find a workaround :-(

There's another problem, this one on NT.  When it clears the screen it
sets the background to black, whether or not you've got that color as
your chosen background (a DOS window in NT can have many different colors
of text and background).  Minor, but annoying.

Michael Condict
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".